Question in Installing Perl Modules in Oracle Linux

Hi , I installed the following modules on a server

Net::MySQL
Text::CSV_XS
Spreadsheet::WriteExcel
Spreadsheet::ParseExcel
Excel::Writer::XLSX

For all dependencies to be met, below is the complete list of modules installed.
Archive-Zip-1.30
Bit-Vector-7.2
Carp-Clan-6.04
Compress-Raw-Zlib-2.060
Crypt-RC4-2.02
Date-Calc-6.3
Date-Manip-6.39
Digest-Perl-MD5-1.8
Digest-SHA1-2.13
Excel-Writer-XLSX-0.66
ExtUtils-MakeMaker-6.64
IO-1.25
IO-stringy-2.110
Net-MySQL-0.11
OLE-Storage_Lite-0.19
Parse-RecDescent-1.967009
Spreadsheet-ParseExcel-0.59
Spreadsheet-WriteExcel-2.38
Storable-2.39
Test-Exception-0.31
Test-Inter-1.05
Text-CSV_XS-0.97



I used the following commands

cd /home/my_user_ID/temp



cd Net-MySQL-0.11
perl Makefile.PL
make
cd ..

cd Excel-Writer-XLSX-0.66  
perl Makefile.PL
make
cd ..

cd Spreadsheet-ParseExcel-0.59
perl Makefile.PL
make
cd ..


cd Spreadsheet-WriteExcel-2.38

perl Makefile.PL
make
cd ..

cd Text-CSV_XS-0.97

perl Makefile.PL
make
cd ..







But the user wrote back to me :

For the first time I was testing the Perl Modules. Unfortunately, I'm getting errors:

Can't locate Spreadsheet/WriteExcel.pm in @INC (@INC contains: /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /usr/local/bin/text2xls.pl line 11.
BEGIN failed--compilation aborted at /usr/local/bin/text2xls.pl line 11.

any help would be appreciated
c_hocklandAsked:
Who is Participating?
 
Jan SpringerConnect With a Mentor Commented:
They probably got installed in a different location than the default.

I prefer to use cpan since it will put them in the default location and will include any dependencies.

You can either copy the directories/files or install again via cpan.
0
 
c_hocklandAuthor Commented:
the issue is that i cannot use CPAN and the servers dont have internet access so i cannot do yum install or yum update

I think what i need to do is try to install one by one the dependencies.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.